# WiFiThermostat - Changelog
## 0.2.1
* added second reduction mode with different set temperature
* MQTT reconnect now tries again every 5 min after 10 fails, finally restarts MCU on 20 unsuccessful retries

## 0.2.0
* improved MQTT reconnection management with heartbeat and force-reconnect
* improved MQTT callback function
* improved overall stability
* added correction value for set point temperature
* added some defines for default values
* added http control api with token
* added mqttReconnect http call
* bugfixes
* some documentation

Important: for now compiled using Arduino 1.8.5 with ESP8266-Arduino core 2.4.0-rc2, as WiFi (re)connection does not work properly in release 2.4.0 (spent many hours on that)!!

## 0.1.3
* button handling now uses library r89m/PushButton.h
* added support for external PIR motion sensor, can be configured to enable display backlight on movement, pushes status to Domoticz and MQTT
* lots of code improvements
* removed unused libraries, added library overview in README.md, included only used libraries
* added some initial description text in README.md
* added heating switch device - send to domoticz/in
* improved MQTT reconnect behavior. Retry every 15s if 1-3 connnects failed and just every 5 min if more to avoid blocking.

## 0.1.2
bugfixes

## 0.1.1
feature complete for now, first alpha

## 0.1.0
initial version, not yet feature complete
